Menu:

Sponsor

Discover Master of Alchemy, our first iPad/iPhone and iPod touch game!

Follow Me

 

Forum's topics

Latest Files

Archives

Top Rated

Categories

Photo Gallery


Alessandro Crugnola on October 27, 2006 in firefox

Flash Switcher extension for Firefox

Preview of Flash SwitcherI just did this new extension (my third extension) for Mozilla firefox. I hope it can be useful for Flash developer who want to easily test their pages with different flash player versions.
The extension hasn't been approved yet by the Mozilla developer extension team so I decided to make first a post here, also for let you to test it and also because last time they took 3 weeks before they approve an extension...

What is this extension?
This extension comes with all the currently published flash player plugins (from the version 2 to the most recent 9,0,16) and allows you to easily switch from one plugin to another, or also to remove the currently installed plugin (maybe for testing the express install).

Where I can find it?
Once installed you will find the "flash switcher" icon in the Firefox statusbar at right. Click on it and a list of available options will appear.

Can I add more flashplayer versions?
Yes, even if you should do it manually.
The extensionn folder can be found here:

C:\{userAppData}\Mozilla\Firefox\Profiles\{userProfile}\extensions\{2b5cfade-d133-429c-aea5-865911de4e1d}

Into the "chrome\plugins" folder you will see different folder (such as 9.0 r16, 8.0 r24 etc) with a file NPSWF32.dll within.
To install a new plugin just create a new folder with the name of the player version and copy into it the NPSWF32.dll file which comes with every flash player installer.
You can find all the old flash versions here
Another way to add more versions of the player is to install the flashplayer version you want into firefox, then save it using the "save as" menu item of flash switcher.

Install Flash Switcher more info.
Download and install flash switcher here.

 

Bookmark and Share

 

 

320 comments
Plugin Switcher stopped working for me on my Win7-64bit-system. These were my steps to fix the problem:

1. Change the Firefox plugins directory path in Flash Switcher settings from "C:\Windows\System32\Macromed\Flash" to "C:\Windows\SysWOW64\Macromed\Flash"

2. Find this folder in your explorer and follow the steps descriped on this blog: http://www.blog.lessrain.com/flash-switcher-extension-and-vista/

* Go to C:\Windows\System32\Macromed (now C:\Windows\SysWOW64\Macromed)
* Right-click "Flash" folder to open the properties panel.
* Click the "Security" tab.
* Click "Edit" Button.
* Select the current user in "Group or user names:"
* Change folder permissions, normally I change it to have full control.
* Click "Apply" and "OK"
Flash switcher 2.0.3 is not working any more on FF 3.6.3 on Win XP SP3. Plugin wont install but asks for firefox restart (in addon manager) all the time. Tested on 2 similar systems (at work and home). Cant specify when this problem occurs as i do not use FS every day. Any ideas how to "clean" my PC to get FS working again?
I was still getting "NS_ERROR_FILE_ACCESS_DENIED" errors in Firefox 3.6 even after changing my plugin path as mentioned here (http://www.sephiroth.it/cgi-bin/mt/mt-comments.cgi?__mode=red;id=5915). I managed to fix it by editing line 167 of os.js to this: file.initWithPath( this.parent.utils.getTargetDir() + "\\" + current );
For all those have problems with this extension using Firefox 3.6 and the error "NS_ERROR_FILE_ACCESS_DENIED", I remember that this is a limitation of the Operating System, because usually the browser default folder is a system folder. What you have to do is: uninstall flash player ( you can save it before uninstalling, using flashswitcher ), restart the browser. Then open the flashswitcher settings dialog and choose your user level plugin directoy.
For Mac OSX it is located at /Users/{username}/Library/Internet Plug-Ins, for Windows it is located at: C:\Users\{username}\AppData\Roaming\Mozilla\Firefox\Profiles\{yourprofile}\Plugins. In this way the access error won't appear anymore.
I'm trying with firefox 3.5.2 on Debian GNU/Linux, the plugin swither is not working fine. I can see in the tray area the flash-switcher icon, and the icons for the flash 7 and 9 which come pre-installed. But it looks like I cannot save new plugins and then select them, that is I can "Save As" them and they'll be placed in the directory where are stored the flash player, but they will not appear in the list of plugins selectable by the switcher. Please fix it, that's sad I was so happy to have found the plugin which would have fixed my flash switching problems once and for all! Thanks, ciao
flash_switcher doesn't work in Windows 7 :( same error as below.
I'm having trouble getting FlashSwitcher working in Firefox 3.6 - are there compatability issues with this update? It works fine for me in 3.5 (and all other versions) but would be nice if it worked in 3.6+ too. Other than that, well done on the great plugin! It's been an indispensable tool for Flash development :)
Hey Alessandro - Hope you are doing well. I had Flash Switcher working in the past, but I have since updated to Windows 7 and Mozilla Firefox 3.5.7, and I am getting an error as described below... Component returned failure code: 0x80520008 (NS_ERROR_FILE_ALREADY_EXISTS) [nsILocalFile.copyTo] Any solutions to this issue? I understand that you have it working for XP, but would love to have it working in 7 (which is a great OS imho) cheers Edward Apostol New Toronto Group
I second that. Not working on Win7 64bit Ultimate Cant remove either: window title: Javascript Application window message: Component returned failure code: 0x80520015 (NS_ERROR_FILE_ACCESS_DENIED) [nsILocalFile.remove]
Hey. Does anyone noticed any fault behavior of the flash switcher with FF 3.5.5 and Windows 7? I have the problem, that I'll get an error message ("Compontent returned failure code: 0x80520008 (NS_ERROR_FILE_ALREADY_EXISTS) [nsILocalFile.copyTo]"), if I'll try to switch the version with the tool? Thanks, Dennis
yes, just follow the instructions i wrote in the post, it should be easy to add/remove/change the flash player versions
Ok i found it.. its here: C:\Windows\SysWOW64\Macromed\Flash But even if i rename it after switching it will say: Access to folder C:\Windowssystem32MacromedFlash is denied. Consider to use and user accesible plugins folder instead (for example: ~/.mozilla/plugins/) (I renamed the dir in settings to)
Have error: Component returned falure code 0x80520008 (NS_ERROR_FILE_ALREADY_EXISTS) [nsILocalFile.copyTo] This dir: c:\windows\system32\macromed\flash Not exists with me as mentioned in the other comment.. running Vista x64
hi. beautiful work. one little comment, is it possible to use the debug version of the players? cos most of developers, who will use, will use the debugging capabilities. \m/
Hi, this looks very useful, but every time I try to install it, a dialog box pops up: Firefox could not install the file at file:///C:/... because: Invalid file has (possible download corruption). I tried downloading it several times, with different tools, always the same file 3,854,837 bytes, md5sum: 1461b7feae0e97ec1c312842a112f1fb ) Firefox 1.5.0.7 on Windows XP SP2
just follow the instructions i wrote in the post, it should be easy to add/remove/change the flash player versions
thank you so, SO much... the most usefull extension I've installed in a good while ^^. One little tiny thing though, maybe for next version... I think Firefox should always start with the highest version of FP available... regardless of what version you set up previously with the switcher...
I've been using this extension for years but on Firefox 3.0.3 on OSX I get the same error message
Hello, i got a question. Does it run with newser versions, too? Somebody test it? Thank you kind regards, serk
Hi, this looks very useful, but every time I try to install it, a dialog box pops up: Firefox could not install the file at file:///C:/... because: Invalid file has (possible download corruption). I tried downloading it several times, with different tools, always the same file 3,854,837 bytes, md5sum: 1461b7feae0e97ec1c312842a112f1fb ) Firefox 1.5.0.7 on Windows XP SP2
This extension it's very cool! Thanks Alessandro! ;)
This is a great extension - very helpful in tracking down 'bugs' that are caused by lazy users who don't feel the need to update Flash Player off of release 7. One thing I noticed (not sure if this is a bug) is that there doesn't appear a way to switch back to the debug Flash Player.
I had the same probs with NS_ERROR_FILE_ACCESS_DENIED in both firefox 3.0.x and 3.5.x. In osx you can fix it by deleting the flashplugin file: Library/Internet Plug-Ins/Flash Player.plugin and reinstall it with the flash switcher, now you can easily switch the player versions.
I had the same probs with NS_ERROR_FILE_ACCESS_DENIED in both firefox 3.0.x and 3.5.x. In osx you can fix it by deleting the flashplugin file: Library/Internet Plug-Ins/Flash Player.plugin and reinstall it with the flash switcher, now you can easily switch the player versions.
Is there an easy way to include the files for the Flash 9 Debugger?
WOW, amazing!, thank you so, SO much... the most usefull extension I've installed in a good while ^^. One little tiny thing though, maybe for next version... I think Firefox should always start with the highest version of FP available... regardless of what version you set up previously with the switcher... or maybe an option for it. Again, thank you :) Cheers...
yes, just follow the instructions i wrote in the post, it should be easy to add/remove/change the flash player versions
So,it's already like that. The first item of the pop up menu, the one disabled, is showing you the currently installed plugin.
This is total genius. But apparently it doesn't work with Firefox's latest version. I was just wondering if this project would be continued?
I've been using this extension for years but on Firefox 3.0.3 on OSX I get the same error message as Dylan: Component returned failure code: 0x80520008 (NS_ERROR_FILE_ALREADY_EXISTS) [nsILocalFile.copyTo]
Very usefull extension. Where is a licence? Can I use this at work
Is there an easy way to include the files for the Flash 9 Debugger? It would be cool to have this working with your other extension, Flash Tracer
have been trying firefox these days , the info you provide will do me a big favor, thanks, great Alessandro
in fact, use the folder ~/.mozilla/plugins/ instead because it's writeable.
can you tell me what OS and if after the crash the new plugin has been installed or
Firefox should always start with the highest version of FP available... regardless of what version you set up previously with the switcher... or
extension! But it crashes my Fox everytime I try to change the player ... :-( I'm
i have been trying firefox these days , the info you provide will do me a big favor, thanks, great Alessandro
for Brendan: Yeah, it is possible to do, maybe implementing parsers/compilers using PyXPCOM.. but it's not an easy work Theorically an IDE for Actionscript can be made using
compatible with firefox 2 I
[failed] Firefox 3.5 Windows Pro Component returned failure code: 0x80520008 (NS_ERROR_FILE_ALREADY_EXISTS) [nsILocalFile.copyTo]
Does this also support the latest browsers?
hum, pity dont work with Firefox 3....
:( dont work for firefox version 2.0.0.8 I have Error 207 - Bad instalation file...Thanks for any help
This is total genius. But apparently it doesn't work with Firefox's latest version. I was just wondering if this project would be continued? I really hope so since it's the only one out there that we can use
First, what a great idea extension! But it crashes my Fox everytime I try to change the player ... :-( I'm using FF 2.0. Do I actually need to download the archived players or are the dll files sufficient?
Does this also support the latest browsers?
are you allowed to redistribute? i'd hate to see adobe shut this down.
I am trying to install on Firefox 2 portable as well, has anyone gotten this to work? So far I have installed FP9 debug to my main machine and copied all of the info from the plug ins folder to the plug in folder of Firefox portable and that does not seem to work
just follow the instructions i wrote in the post, it should be easy to add/remove/change the flash player versions
yes, just follow the instructions i wrote in the post, it should be easy to add/remove/change the flash player versions
Currently all versions are included from 2,0,11 to 9,0,16. It's strange that FF crashes.. can you tell me what OS and if after the crash the new plugin has been installed or not?
Is there an easy way to include the files for the Flash 9 Debugger? It would be cool to have this working with your other extension, Flash Tracer. aşk aşk şiirleri şiir
This extension it's very cool! Thank you
Thank you very much, works fine. It made my work much easier! I use it with FF 3.0.10 with no problem.
WOW, amazing!, thank you so, SO much... the most usefull extension I've installed in a good while ^^. One little tiny thing though, maybe for next version... I think Firefox should always start with the highest version of FP available... regardless of what version you set up previously with the switcher... or maybe an option for it. Again, thank you :) Cheers...
I am highly satisfied with the extension.
This is total genius. But apparently it doesn't work with Firefox's latest version. I was just wondering if this project would be continued? I really hope so since it's the only one out there that we can use. Thanks for making this :)
Any chance we'll see a version for Mac Firefox?
I tried this extension and it's very very cool. Great Sephiroth :)
Tried to switch to my former Flash Version (8), but that wasn't possible either. I ended up uninstalling the extension and downloading & installing a new player from Adobe.
Does this also support the latest browsers?
Alessandro, simply amazing!! Thanks and kudos for all your hard work. An absolute must for any Flash designer who cares anything about implementing detection.
Woaw, that was a bad experience! Installed it, tried it and got a bunch of pop-ups displaying ACCESS DENIED errors. Tried to switch to my former Flash Version (8), but that wasn't possible either. I ended up uninstalling the extension and downloading & installing a new player from Adobe. Now I have player 9.
yes, just follow the instructions i wrote in the post, it should be easy to add/remove/change the flash player versions
If you're having trouble with: 0x80520008 (NS_ERROR_FILE_ALREADY_EXISTS) [nsILocalFile.copyTo] then try this... (it worked for me)
1. Close FF
2. go to C:\windows\system32\macromed\flash
3. rename npswf32.dll to something else (e.g. ~npswf32.dll)
4. retstart FF - it should have no flash now, and prompt you for the plugin
5. use flash switcher to select the version you want - away you go... !
This addon was simple for me to use, here are my steps for getting Flash 9 Debug and Flash 10 Debug both working:
  • Installed this addon
  • Downloaded, installed Flash 10 Debug version
  • Loaded Firefox, saved the Flash 10 version as "Flash 10 Debug"
  • Repeat steps 2, 3 to install Flash 9 debugger the same way
  • Great addon! Thanks!
so i have to run a internet browser with administration role??? OMG. this is the worste thing you could do... if there's no other way to resolve, this extension is totally useless :'(
Does this also support the latest browsers?
Hey I worked it out, James | December 18, 2008 7:29 PM, was right - you need to run firefox as administrtor. It works fine like doing it this way. Not too happy about it though - there must be another way to do it with out running as admin, I don't want the pop up box in vista each time I open firefox to come up!
The first item of the pop up menu, the one disabled, is showing you the currently installed plugin. P.S. I have just updated the plugin. now in the plugin options you can choose
Since I installed FF 3.0.6 if have got the same problem as jk: Component returned failure code: 0x80520008 (NS_ERROR_FILE_ALREADY_EXISTS) [nsILocalFile.copyTo] Can someone help?
This extension it's very cool! Thanks Alessandro
Is there an easy way to include the files for the Flash 9 Debugger? It would be cool to have this working with your other extension, Flash Tracer.
It looks like there's an interaction with the extension Weave (http://labs.mozilla.com/projects/weave/). Every time I activate it Flash switcher shows no player in the list. If I deactivate it players are back in the list. Would it be possible to fix that ? Thanks
I'm running Vista, with Firefox 3.0.5, and installed this latest version 2.0.2. I'm on Flash 10r12. Once installed and I try to change flash version to one of the other 3 firefox restarts and comes up with this message "Component returned failure code: 0x80520008 (NS_ERROR_FILE_ALREADY_EXISTS) [nsILocalFile.copyTo]" How is this fixed?
Cannot install in Firefox 3.0.5 either. Error -207: Not a valid install file.
When changing pluginversion in the menu the page turns blank and defaults to latest pluginversion on reload.
Anyone else got this problem? When changing pluginversion in the menu the page turns blank and defaults to latest pluginversion on reload.
The first item of the pop up menu, the one disabled, is showing you the currently installed plugin. P.S. I have just updated the plugin. now in the plugin options you can choose
yes, just follow the instructions i wrote in the post, it should be easy to add/remove/change the flash player versions
I love it since you started doing stuff for FF.
I've installed in a good while ^^. One little tiny thing though, maybe for next version... I think Firefox should always start with the highest version of FP available... regardless of what version you set up previously with the switcher... or maybe an option for it. Again, thank you :) Cheers...
Configure advanced user profile properties" 3. Turn off the User Account Control feature.
Hey, to all you having the: Component returned failure code: 0x80520008 (NS_ERROR_FILE_ALREADY_EXISTS) [nsILocalFile.copyTo] Error in Vista, make sure you run Firefox As Administator(right click Firefox Icon, select Run as Administrator) It seemed to work for me!
Cannot get this to work on Vista, it ALWAYS goes to the latest version installed, whenever you switch! using Vista Home edition!
Hi, Is there a way to make it works with Firefox 3.0.4 ? After installation there are no plugins in the menu whereas they are indeed in the extension folder. It's also impossible to see the current flash plugin version. The extension version is 2.0.2 which is said to work with FF 3.x and above. Thanks
Many many many thanks. This add-on was a lifesaver when trying to test the flash alternative I've got implemented for when the user doesn't have flash installed. Saved me a lot of effort in creating virtual machines.
Is there any FLash extension for IE?
Any chance we'll see a version for Mac Firefox?
Im having some trouble I was wondering if someone could help me with. i need this add on to run pandoras jar which Im finding hard enough to get working. but anyways i have firefox 3.01 and this add on doesnt work with this version. Does any one have a way for it to work
Very usefull extension. Where is a licence? Can I use this at work?
woow thanks sephiroth i searched it while 1 day.
That's the way flash switcher works.. now just install the new flash player 10 and select "save as" from the flash switcher menu
Hi & thanks for this plugin, but for Flash Player 10, any news ? Bye
Firefox version 2.0.0.6, and this doesn't seem to work for me.
in fact, use the folder ~/.mozilla/plugins/ instead because it's writeable.
Whenever I switch a Flash version, Firefox seems to crash, then reappear and show me the error message: "Access to folder /usr/lib/firefox-3.0.3/plugins is denied. Consider to use an user accesible plugins folder instead (for example: ~/.mozilla/plugins/ )"
I've been using this extension for years but on Firefox 3.0.3 on OSX I get the same error message as Dylan: Component returned failure code: 0x80520008 (NS_ERROR_FILE_ALREADY_EXISTS) [nsILocalFile.copyTo]
Hi ! I make a post with the dll of the RC of Flash Player 10, you can see it here : http://www.tsoin.com/asblog/2008/09/17/premiere-release-candidate-du-flash-player-10/
Great extension - however on windiws you do need admin rights to the C:\WINDOWS\system32\Macromed folder otherwise it bails out. Thanks for taking the time to create this useful plugin - keep up the good work!
Component returned failure code: 0x80520008 (NS_ERROR_FILE_ALREADY_EXISTS) [nsILocalFile.copyTo] Every. Time. ...and yes, I installed the debug version of the player.
After some problems in FF2 I'd given up on this extension. I'm happy to say that I just reinstalled for FF3 and it's working great now. It's a really critical plugin for HTML/Flash testing - thanks!
Hi, looks like a really good tool, is there an option to test pages as if there is no flash player installed? Thanks, Alice
As a flash developer I use this extension everyday. Its awesome. Thanks Sephiroth.
It installs correctly on my fresh firefox 3.0 installation. Just go to http://www.sephiroth.it/firefox/flashtracer/ and install it.
Any chance of a new release for v3.0 of firefox? the latest release for the beta doesn't work on the new release.
Great extension for testing Flash Detection. No serious Flash Developer should be without it.
Very powerfull extension. but my FireFox crash when I've install it
Steven & Murfoni & anyone else who wants to still use this extention in FFv2 - i found it in archives at mozilla, here
i'm right there w/ steven & murfoni - i don't use v 3 yet, and won't until it's out of beta. meanwhile - would love to use the extention on v2... is the old xpi available ?
Great Help for testing! Works perfekt with Firefox 3.0 . Do you still have the Version for Firefox 2.0.0.14 ??
Very powerfull extension. but my FireFox crash when I've install it :( Anybody have such problem?
Is there a way of getting this to work with FF 3 rc1 ?
What happened to the firefox 2 version? Is it still available for download? I don't yet feel comfortable using ff 3 being that it's still in beta.
Not even close to being a developer, just wanted to play NetFlix on my PC at work and needed to install Firefox 3 to run. Couldn't load my company's home website without flash player and I don't know how to code, but I installed this plug in and it worked like a charm, thanks!
No, there's no version for IE. I dont use IE anymore and I dont use Windows anymore, so I dont have the possibility at all to create one for IE.
Is there any FLash extension for IE ?
I ran into problems with the extension on Windows Vista. The browser was crashing each time I tried to switch versions of flash. Solution: I found the problem in Windows Vista to be the User Account Control 1. Go to the control panel and click on user accounts. 2. Click on "Configure advanced user profile properties" 3. Turn off the User Account Control feature.
Is the older version of this great extension still available for Firefox 2 ?
Great extension for testing Flash Detection. No serious Flash Developer should be without it.
I second S.J. Fuhry and Patrick... Linux support would be particularly helpful for people who want to use gnash where possible, but Adobe's flash player where compatibility is not yet possible. @prezeprowadzki Why use IE? Just use Firefox :)
If this addon supported gnash/adobeflash switching I would just love it.
Is there any FLash extension for IE ?
Linux users would love to be able to use this to experiment with Gnash.. it would REALLY help testers -- thus speeding up development.
i use firefox with vista seems to be okay
Hi Very nice & helpful plug in ;) I suggest two small changes: 1. We do not require message "succesfully installed" since it almoust obvious. I believe user should get message rather when instalation goes wrong"Instalation error". 2. No handcursor when mouse over flashswitcher ico ;)
aww if i have vista, I shouldnt even bother getting the firefox than?
Ares you right i cant use it because of vista..
I can get firefox on my comp.. I think its because I have vista..
There is a bug with the latest flash version causing firefox to crash under some circumstances. As far as i know there is no patch for it currently.
And Firefox version 2.0.0.6, and this doesn't seem to work for me. The icon on my Firefox status menu only says -Remove Flash player-, but it doesn't give the Flash Player version numbers as the above graphic shows. Am I missing something or does this version of Flash Switcher not work with the latest Flash Player? Will their be an update to Flash Switcher soon? - Thank syou
installed the latest version of this plugin (first download of it, ever) and all going to Extensions menu and doubleclicking Flash Switcher
Erm btw theres a new Flash Player version which is Flash
I have Flash Player 9,0,47,0. And Firefox version 2.0.0.6, and this doesn't seem to work for me. The icon on my Firefox status menu only says -Remove Flash player-, but it doesn't give the Flash Player version numbers as the above graphic shows. Am I missing something or does this version of Flash Switcher not work with the latest Flash Player? Will their be an update to Flash Switcher soon? - very good site...
I have Flash Player 9,0,47,0. And Firefox version 2.0.0.6, and this doesn't seem to work for me. The icon on my Firefox status menu only says -Remove Flash player-, but it doesn't give the Flash Player version numbers as the above graphic shows. Am I missing something or does this version of Flash Switcher not work with the latest Flash Player? Will their be an update to Flash Switcher soon? - very good site...
And Firefox version 2.0.0.6, and this doesn't seem to work for me. The icon on my Firefox status menu only says -Remove Flash player-, but it doesn't give the Flash Player version numbers as the above graphic shows. Am I missing something or does this version of Flash Switcher not work with the latest Flash Player? Will their be an update to Flash Switcher soon? - Thank you.
I installed the latest version of this plugin (first download of it, ever) and all going to Extensions menu and doubleclicking Flash Switcher does is make it tell me to 'change the plugins folder'. despite all the success stories and resources on this site I cannot find the simple answer to the question: WHERE IS THE PLUGIN? Where is this Plugin Switcher window that displays different flash versions to switch between? Where is the main functionality, the point of the whole program? All this plugin lets me do is tell it where my plugins folder is....over and over again. That's it. I have the latest version of firefox as of 01/08. Help?
I have Flash Player 9,0,47,0. And Firefox version 2.0.0.6, and this doesn't seem to work for me. The icon on my Firefox status menu only says -Remove Flash player-, but it doesn't give the Flash Player version numbers as the above graphic shows.
really great extension!!! But now i have on my new notebook installed firefox 2.0.0.11 and it doesn�t work anymore! I suppose you know, it would be really great, if somebody has a solution...
Hi there! Can I get the flash switcher work on Firefox 3 beta 2? Thanks and nice utility!
Nice's Alessandro, great extension the most time-saving, convenient, and useful add-on for Firefox
Firefox version 2.0.0.6, and this doesn't seem to work for me.
Nice's Alessandro, great extension the most time-saving, convenient, and useful add-on for Firefox.
Does something but not uninstall the Flashplayer. Otherwise a good Idea.
Yeah. It`s not working with FF 2.0.0.6 Can somebody give me a hint how to fix it ?
This is one of the best extension ever. I'm really glad you started working with extensions. Very usefull. Keep working. Thanks
Hello, i've got same problems like the other comment authors. If there is an update available please let me know! Greets from Germany!
Nice's Alessandro, great extension the most time-saving, convenient, and useful add-on for Firefox.
I have Flash Player 9,0,47,0. And Firefox version 2.0.0.6, and this doesn't seem to work for me. The icon on my Firefox status menu only says -Remove Flash player-, but it doesn't give the Flash Player version numbers as the above graphic shows.
is there any update? i got the same probs as the other guys
i have the same problem as Polin, i�m using FF 2.0.0.11. thanks
Flash 7 version. When I try it I get an error: Can't remove plugin [path]NPSWF32.dll Please close all windows/tabs with a Flash content into first NS_ERROR_FILE_ACCESS_DENIED This error still happens when I open an empty tab and close all other tabs, and on restart. Looks like I'm stuck with Flash 7 till I visit Adobe again
Great news about this switch. I've always wanted to have something like that but I didn't know it exits. Thanks a lot
And Firefox version 2.0.0.6, and this doesn't seem to work for me. The icon on my Firefox status menu only says -Remove Flash player-, but it doesn't give the Flash Player version numbers as the above graphic shows. Am I missing something or does this version of Flash Switcher not work with the latest Flash Player? Will their be an update to Flash Switcher soon? - Thank you.
seems to be broken since another version. using 2.0.0.9 at the moment. damn! it was so helpful.
It don't work :((((( If i see this description it seems to be very useful, but i can't work with this... heeeeeeeeeeelp
I have Flash Player 9,0,47,0. And Firefox version 2.0.0.6, and this doesn't seem to work for me. The icon on my Firefox status menu only says -Remove Flash player-, but it doesn't give the Flash Player version numbers as the above graphic shows. Am I missing something or does this version of Flash Switcher not work with the latest Flash Player? Will their be an update to Flash Switcher soon? - Thank you.
This is one off the best extension ever(together with your other 2), thanks a lot!!! I'm so happy you started making extension :D
:( dont work for firefox version 2.0.0.8 I have Error 207 - Bad instalation file...Thanks for any help
thank's Alessandro, great extension the most time-saving, convenient, and useful add-on for Firefox.
I have Flash Player 9,0,47,0. And Firefox version 2.0.0.6, and this doesn't seem to work for me. The icon on my Firefox status menu only says -Remove Flash player-, but it doesn't give the Flash Player version numbers as the above graphic shows. Am I missing something or does this version of Flash Switcher not work with the latest Flash Player? Will their be an update to Flash Switcher soon? - very good site Thank you.
Just another vote for a Mac version of this awesome Firefox add-on. I recently switched to a Mac at work, and now I can no longer use this add-on pozycjonowanie
Great extension and is helpfull in catching bugs in computers without Flash update number 7.
There is an easy way to include the files for the Debugger. You must install newest version of Flash and check in help field at word "debuging aplication". I think I saw that there. Anyway.. great job. I use it I like it :)
Firefox also chrashes wit me =/ just Reinstalled my complete system to discover that this whon't work any more =/ I'm on Firefox 2.0.0.7 and Flash plugin version 9,0,47,0 I have the same error as kale kapi you can view the error message here: http://www.blogliebe.de/pics/flashswitcher.gif
have the same problem with the flashswitcher, i go to switch the version and it crashes firefox and firefox reloads with no tabs open and the same version installed, not the one i wanted. I am in vista and I know someone else before mentioned that might be a problem...any workarounds?Thank you
There is an easy way to include the files for the Debugger. You must install newest version of Flash and check in help field at word "debuging aplication". I think I saw that there. Anyway.. great job. I use it I like it :)
I have Flash Player 9,0,47,0. And Firefox version 2.0.0.6, and this doesn't seem to work for me. The icon on my Firefox status menu only says -Remove Flash player-, but it doesn't give the Flash Player version numbers as the above graphic shows. Am I missing something or does this version of Flash Switcher not work with the latest Flash Player? Will their be an update to Flash Switcher soon? - Thank you.
You are a code guru to do such a brillant job.I use firefox,I think it is safer than IE.But sometimes less entertainment elements,it is very helpful to dissolve this problem!
Ho-ho, look forward to seeing the Mac version, I've started to get sick of constantly uninstalling and reinstalling Flash.
Hi Alessandro, this plugin is awesome, but I'm having the same problem as Oliver. That is I can't switch it or uninstall it once I switched to the Flash 7 version. When I try it I get an error: Can't remove plugin [path]NPSWF32.dll Please close all windows/tabs with a Flash content into first NS_ERROR_FILE_ACCESS_DENIED This error still happens when I open an empty tab and close all other tabs, and on restart. Looks like I'm stuck with Flash 7 till I visit Adobe again
Firefox with Codetch with syntax highlighting for as3. Some sort of compile/run plugin for Firefox, with the trace panel, flash switcher etc
I have the same problem with the flashswitcher, i go to switch the version and it crashes firefox and firefox reloads with no tabs open and the same version installed, not the one i wanted. I am in vista and I know someone else before mentioned that might be a problem...any workarounds?Thank you
Just another vote for a Mac version of this awesome Firefox add-on. I recently switched to a Mac at work, and now I can no longer use this add-on.
Hey ! Thanks. works great for me and saved me a lot of time :)
Is this extension compatible with Portable Firefox 2? I installed and doesn't seems to work.
I installed this for Firefox 1.5x. I can get the drop menu to show up but it doesn't change my flash plug-in at all. Help?
Hey ! Thanks. It great for me when i'm creating a websites for me clients with 15' monitors and Celeron 266 with low desktop :)
It doesn't work at Mozilla Firefox/2.0.0.5 too :/
I have the same error when trying to install it in Firefox 2.0.0.4. Just RIGHT CLICK & SAVE the flash_switcher_1.0.0.xpi When downloaded, drag it in Firefox and it will work ^^ Cheers Sorry for my English ZaLim...
J have too sounds great.I can't find this mythical file. :( Pleas help.
Sounds great, but I can't find this mythical file anywhere on the net. Anyone know where it can be obtained? Thanks for the help. R
Thank you Alessandro! A great and very useful extension.
First, what a great idea extension! But it crashes my Fox everytime I try to change the player ... :-( I'm using FF 2.0. Do I actually need to download the archived players or are the dll files sufficient?
i would love to use this extension but when i click to download it opens a new page that has nothing on it... plz respond soon
I�m not sure if I can make use of this add-on at work even though I�m using FF. In Affiliate Marketing, we only take a look and consider sites without animations or anything that uses flash player. You mentioned that this isn�t approved yet. Do you think it�s safe to use it? Not that I�m really dumb about minute details but I�m just taking precautions. The last time I installed a similar tool all of my bookmarks was gone and my other add-ons didn�t work. Please let us know as soon as FF approves your extension and I�ll immediately put it on my other computer.
Great extension the most time-saving, convenient, and useful add-on for Firefox. It's soo useful.I'm so happy you started making extension.Okay..
Thanks, I've been searching for something like this for a long time.
Awesome! Very handy for anyone working on a flash project. I've already used it for some of my own work at least a dozen times. I assume by this time that you must have received approval from Mozilla. Will you continue to update versions of flash player as they appear or can you recommend some way to install future plugins? I live in hope that some day new versions of software will continue to work with older projects and vice versa, but perhaps that is just my own personal little fantasy. Surely, though, some day computers will be like cars are today. We will use them to accomplish what we need to accomplish, without having to re-program them every few weeks. For now, though, thanks for coming up with such a useful solution to a common problem.
wow.. it's so easy and usefull at many times, expecially when you want to check your projects at other flash versions
Waiting patiently for a Linux version...
It don't work:( If i see this description it seems to be very useful, but i can't work with this...
I have the same error when trying to install it in Firefox 2.0.0.4. Just RIGHT CLICK & SAVE the flash_switcher_1.0.0.xpi When downloaded, drag it in Firefox and it will work ^^ Cheers Sorry for my English (French boy)
This extension seems to be a must have for flashcoders, though i cant get the addon to work in my version of ff (2.0.0.4). I�ve reinstalled both the flashplugin and the extension. Anyone else got this problem? When changing pluginversion in the menu the page turns blank and defaults to latest pluginversion on reload. Grateful for any ideas on how to solve this
If you also wnat to have older Flash IDE versions, here's links to download Flash 1 - Flash 8 (all versions) http://flash-ascript.blogspot.com/2007/06/first-steps-of-flash-futuresplash.html
Great extension !!!
Thank you for this Firefox extension.
:( dont work for firefox version 2.0.0.4
installed and doesn't seems to work.
i have just installed this extension.its really usefull. thank you
same behaviour here :(
Unfortunately I know, adobe changed again the installation path.. I will check the problem
add me to the list of grateful users that have now found this extension doesnt work with 2.0.0.3, XP and Flash 9 r45
Yes, my Flash Player is Flash 9 r45 on XP and I'm also losing all my tabs and getting a blank white screen when I try using the switcher.
This doesn't seem to be working under 2.0.0.3 with Flash 9 r45 any more on XP
Still no news on the development of the mac-version???
Great idea! but! Not Working on my FF 2.0.0.3, Win XP. It refreshes the whole browser, clears all the tabs, and shows a white page... :'(
I tried this extension and it's very very cool.
Hi, Just wanted to note that I am working with a 64-bit version of WinXP, and that this plugin doesnt work. Maybe because of the a different pathname? I found out that on my system the standard flash DLL is found on: C:\WINDOWS\SysWOW64\Macromed\Flash\NPSWF32.dll Maybe thats the reason?
Useful add-on for Firefox thx.
thank's Alessandro, great extension the most time-saving, convenient, and useful add-on for Firefox.
crashes whenever i try to change flash players. solution please?
Hi Aleksandro. Good idea! Best regards.
Is this extension compatible with Portable Firefox 2? I installed and doesn't seems to work.
Yo, I waiting for next version, but it is great, Thanks !
I'm waiting for new version witch will work under mZ 2.0
I have the same problem with the flashswitcher, i go to switch the version and it crashes firefox and firefox reloads with no tabs open and the same version installed, not the one i wanted. I am in vista and I know someone else before mentioned that might be a problem...any workarounds?
Cool extension but I think slow down elder processors
great extensions, but when a new version that works with FP 9.0 r45?
great extensions, very helpful, but... :) since 9.0 r45 flash folder installation change to c:\windows\system32..., so when you install it flash switcher no longer works properly. Do you have planed to update flashswitcher? thanks.
This is a great extension - very helpful in tracking down 'bugs' that are caused by lazy users who don't feel the need to update Flash Player off of release 7
It doesn't work for me either on XP Pro SP2 with Firefox 2.0.0.3. However, it does work on my XP Home SP2 machine with the same version of Firefox. The only extension the XP Pro machine has that the other one doesn't is PDF Download. I had installed 9.0r45, but then I uninstalled it and it still doesn't work. Maybe it's because the XP Home PC has Flash MX 2004 and the XP Pro PC doesn't.
I have the same issue as these other guys. I tried to change the security settings as well (but for Windows XP). Unfortunately it still does not work. I have flash player 9.0 r16. I really love this great extension, but I can not use it...
It works with Windows Vista! Just change the securitysettings of your firefox folder (extensionsfolder should be fine enough) and make sure your windows user has write access. That's it.
Tak, nie ma problema ;)
Thanks for very interesting article. Can I translate your article into polish and publish at my webblog? I will back here and check your answer. Keep up the good work. Greetings
Ok, i am also having the same issue as everyone else. It would seem to be caused by flash 9 r28. Something about it completely hosed the program. Tried manually uninstalling 9r28 and downgraded to 9r16 but it still does not work. Luckily, i still have a computer that this works with and so i'm not completely out of luck. Otherwise this is a great program.
Great! Very handy indeed!
I have the same problem with the flashswitcher, i go to switch the version and it crashes firefox and firefox reloads with no tabs open and the same version installed, not the one i wanted. I am in vista and I know someone else before mentioned that might be a problem...any workarounds?
Great idea! but! Not Working on my FF 2.0.0.3, Win XP. It refreshes the whole browser, clears all the tabs, and shows a white page... :'(
Hi At first it works fine, but now I switching doesn't work, just open a blank tab and doesnt' change FLash version... :( Windows XP and Firefox 2.0.0.3
I'm having the same blank screen problem that others reported, but in Windows XP. It worked fine at first. Could the last upgrade of firefox I installed (1.5.0.11) broke it?
Really a great Extension..Thanks buddy!
no prob, some previous post said it was a permissions thing in vista with dll files if that helps
Sorry but for Vista I can't do anything since I didn't say WOW :) Btw, I'mm try to fix it when I will have a chance to try the ext on Windows Vista.
I have the same problem with the flashswitcher, i go to switch the version and it crashes firefox and firefox reloads with no tabs open and the same version installed, not the one i wanted. I am in vista and I know someone else before mentioned that might be a problem...any workarounds?
So,it's already like that. The first item of the pop up menu, the one disabled, is showing you the currently installed plugin. P.S. I have just updated the plugin. now in the plugin options you can choose which plugin folder to be used as repository.
Hi Alessandro, Thanks for the wonderful addon for flash. Its very useful and helped quite a lot to check a flash application on different versions for compatibility.. I have a request I want to install all the flash versions including the builds for each version starting from v 6 like 6.0.0.0 .... 6.0.79.0 and so.. I understand how to install it in the below folder but i need the NPSWF32.dll for different versions. Is there any place where i can find these.. C:\Documents and Settings\Administrator\Application Data\Mozilla\Firefox\Profiles\5uqtcsze.default\extensions\{2b5cfade-d133-429c-aea5-865911de4e1d}\chrome\plugins Thanks for any help
Does something but not uninstall the Flashplayer. Otherwise a good Idea.
I have the same problem as Philip. The extension worked for two days, after that it will clear the window and not display anything. I tried to uninstall mozilla, delete the profile and extensions and reinstall, but no luck :(
I think a problem some are seeing is that Vista will not allow another application to move, copy, overwrite the plugin dlls.
I believe Windows Vista has a security feature that is causing problems for Flash in general, and especially for this add-on. I have a debugger code that creates a localconnection from my site to the debugger flash application on my local machine. The first time I attempted to use localconnection from site to local machine, Flash would no longer remain loaded and enabled in IE7. I had to uninstall completely and re-install to fix the problem. THEN I tested in Firefox and had to do the same thing! So, I thought, fine I'll just install the FlashSwitch and if Windows Vista keeps removing the plugin, I'll just restore it with the switcher. That failed with the same error messages others have posted. I'm curious, for those have the problem, are you running Vista?
Fantastic extension - you've no idea how much messing about you have just saved me. I think I love you ;-)
What a cool addon! Makes life so much simpler! Thanx
Any news on the development of the mac-version???
I also could not get this to work in Firefox 2 Portable, which is sad because it is incredibly useful for Flash development.
Do you plan to add the latest subversion of the flash 9 plugin ? It will be nice if you can also keep the 9.0.16 version inside the plugin switcher
I am trying to install on Firefox 2 portable as well, has anyone gotten this to work? So far I have installed FP9 debug to my main machine and copied all of the info from the plug ins folder to the plug in folder of Firefox portable and that does not seem to work...
I have the same problem as Philip. The extension worked for two days, after that it will clear the window and not display anything. I tried to uninstall mozilla, delete the profile and extensions and reinstall, but no luck :(
Nice tool here, I never even saw it in the growing list of goodies for firefox.
Hi, whenever I try to change flash versions, my firefox 2.0 browser crashes. I'm currently on windows 2000.
Thanks for this great extension!
Please a Mac OS version. I can use it only with windows in my VM.
It's not working for me. I have 2.0.0.2pre and this isn't working for me. When I attempt to switch, it wipes out all my tabs and gives me a blank window. The player stays the same. Firefox string: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.2pre) Gecko/20070107 BonEcho/2.0.0.2pre
Alessandro, simply amazing!! Thanks and kudos for all your hard work. An absolute must for any Flash designer who cares anything about implementing detection. Kudos!!
Woaw, that was a bad experience! Installed it, tried it and got a bunch of pop-ups displaying ACCESS DENIED errors. Tried to switch to my former Flash Version (8), but that wasn't possible either. I ended up uninstalling the extension and downloading & installing a new player from Adobe. Now I have player 9.
So what do you wanna do removing flash runtime dll from firefox, Mozilla suite, Songbird, Kmeleon or simular gecko browser? Look at your main firefox folder\plugins, there is maybe from a download direct by macromedia, adobe etc... (not from this plugin) still a runtime dll called: npswf32.dll and/or npswf.dll and/or Adobe Shockwave for Director Netscape plug-in np32dsw.dll or simular filenames. You can see under file properties. P.S. I have done a mirror up with the latest flash dll 9.0 r 28 on: http://www.recon.gomgo.biz/files/flash_switcher_win_-0.2.2-fx-windows.xpi Credits and Thanks goes to sephiroth.it for this EXCELLENT extension!!! Regards RECON
Okay.. I installed flash, I installed the switcher and updated it so it sees the latest version of flash. However after I click "Remove Flash Player", then restart Firefox all websites still have flash playing. Is there something else I need to do?
like Julien Couvreur said: Macintosh please!!!!!
I am having problems with the debug player as well. Even when I uninstall (using the plugin and the Adobe uninstaller) I can't get debug output to come out of flashlog.txt. Also, it seems to say I have 9,0,28 installed even if I have 9,0,16 (debug) installed. Help appreciated ...
I had this working before, but then when I tried to add a new folder it stopped. I uninstalled and reinstalled several times, and now it never gives me any options in the menu. Also, I use the debug player, and cant find a npswf file anywhere on my computer other than the ones that come with your xpi. Anyone have luck with getting debug players to work?
Alessandro, I could kiss you!
Macintosh please!!!!!
Oh, shoot, I posted my comment on the wrong post. My questions are regarding FlashTracer, not FlashSwitcher. Sorry for the confusion.
Hey Alessandro, This extension seems really interesting. Unfortunately, I couldn't quite get it to work. I'm a Flash novice and I've been using the open-source ActionScript compiler (mtasc) from the FlashDevelop IDE. FlashDevelop lets you configure where the output of the trace should go. Some options are FlashOut, FlashMX and FlashConnect. Do you know which option I should use? Also, it sounds like FlashTracer needs to be configured to read the right log file. Is there an easy way to confirm I'm watching the right file? For example, it'd be great if you had a simple SWF on one of your web pages with an expected "Hello world" trace. Do you mind pinging me by email if you can help with either of these? Thanks!
this ext is GREAT! thank you!
Hey Alessandro, first off thank you for coming out with your Flash Switcher and Flash Tracer Firefox plugins, I don't know what I used to do with out them! I use the two in conjunction with each other using the debug plugins to test projects now. Just recently we were building an application which makes use of the new Flash 9 fullscreen capabilities, and I noticed that Flash Tracer does not work for the new debug Flash Player 9.0.28, but it used to work with the debug player 9.0.16. Do you know why this might be? This is a major bummer in testing projects which use the new feature using Flash Tracer. Email me and I'll send you a copy of the debug players I've custom installed in Flash Switcher.
this error: NS_ERROR_FILE_ACCESS_DENIED can be caused because the NPSWF32.dll is read-only, try to change that file permissions. In response on how to add more plugins: - go in the addons options - a window will open - click on "default" button - in the text input will be written the current locations of the plugins files and folder. - go to that location - to add a new plugin just create a new folder (with the name of the plugin version) and paste inside the NPSWF32.dll file which come with every flash player plugin
Hi Alessandro, this plugin is awesome, but I'm having the same problem as Oliver. That is I can't switch it or uninstall it once I switched to the Flash 7 version. When I try it I get an error: Can't remove plugin [path]NPSWF32.dll Please close all windows/tabs with a Flash content into first NS_ERROR_FILE_ACCESS_DENIED This error still happens when I open an empty tab and close all other tabs, and on restart. Looks like I'm stuck with Flash 7 till I visit Adobe again :\
Awesome!
In the words of Borat: Very Nice!
Very handy indeed! Thanks!
This is a great extension - very helpful in tracking down 'bugs' that are caused by lazy users who don't feel the need to update Flash Player off of release 7. One thing I noticed (not sure if this is a bug) is that there doesn't appear a way to switch back to the debug Flash Player. I noticed this when trying to use your other excellent extension, FlashTrace, and nothing was being trace. I had to reinstall the debug plugin to get it working again.
thanks very much from hamburg/germany. great!
\m/ this is AWESOME!! THanks for this!
hi. beautiful work. one little comment, is it possible to use the debug version of the players? cos most of developers, who will use, will use the debugging capabilities. \m/
Muchas gracias, Alessandro! It's soo useful. Thanks a lot for your incredible stuff!
It's working perfect at home, must be some weird permission issues in that god damn network here.
awesome extension, but i worry about the licensing issue of distributing the flash player plugin. are you allowed to redistribute? i'd hate to see adobe shut this down.
it's already like that. The first item of the pop up menu, the one disabled, is showing you the currently installed plugin. P.S. I have just updated the plugin. now in the plugin options you can choose which plugin folder to be used as repository.
Man that is the s**t. I love it. Cheers! :) Just one thing - could you perhaps add some kind of indicator to show which version of Flash is currently active/installed? Thanks. (XP SP2 / Firefox 2)
Is this extension compatible with Portable Firefox 2? I installed and doesn't seems to work.
Bel lavoro davvero!
for Brendan: Yeah, it is possible to do, maybe implementing parsers/compilers using PyXPCOM.. but it's not an easy work Theorically an IDE for Actionscript can be made using the Mozilla framework (XUL, XPCOM and XULRunner)
Holly molly! What an awesome idea!
Me again, I'm running on WinXP SP2. Installation is no problem, it shows up in the extension list correctly. I tried reinstalling it; to no avail, it still crashes. I'll give it a shot on my home machine, maybe it works there. Gonna post the result here.
Imagine this. Firefox with Codetch with syntax highlighting for as3. Some sort of compile/run plugin for Firefox, with the trace panel, flash switcher etc. Firefox could become a lightweight ide for cross platform flash dev ...
Man, you rock the world. I love it since you started doing stuff for FF.
Wow, look forward to seeing the Mac version, I've started to get sick of constantly uninstalling and reinstalling Flash :)
What an amazing piece of work! Some feedback: - I get a lot of messages saying that I cant reinstall the latest version of the flash plugin until I close windows or tabs that are running flash even when Im not (and it seems that you cant have the IDE player window running in the background simultaneously either) - I agree that it would be cool (and more efficient) to be able to specify another location for plugins: Im also running Kewbee (for IE development) and the path you specified to find the plugins doesnt exist on my machine(!) - OS X please, please, please too Other than that... ZOMG! Thank you so much for this... truly you are The Man.
Yes, I can add an option which allows you to change (or maybe just add) a plugins' folder. For Alex: I'm working on the OSX plugin version, just testing it a bit
OSX Version for me please
Nice. Is it possible to install plugins that do not sit in the FireFox profile folder? I have a collection of FlashPlayers in a seperate folder for Kewbee Plugin Switcher and want to point to that folder. PS. Your TypeKey link gives me the following error: The site you're trying to comment on has not signed up for this feature. Please inform the site owner.
Wow ! Thanks for this great extension ! :)
OS X please please please
So useful. Thank you!
This extension it's very cool! Thanks Alessandro! ;)
Yes, thanks for all the great feedback I received I will post also the Mac version of the extension, which will be a different installer file. thank you all!
sepiroth is my god
Hi, this looks very useful, but every time I try to install it, a dialog box pops up: Firefox could not install the file at file:///C:/... because: Invalid file has (possible download corruption). I tried downloading it several times, with different tools, always the same file 3,854,837 bytes, md5sum: 1461b7feae0e97ec1c312842a112f1fb ) Firefox 1.5.0.7 on Windows XP SP2
Alessandro, you are the man! Always sharing your great inventions with the Flash community. Thanks!
Any chance we'll see a version for Mac Firefox?
THIS IS AWESOME!!!!
This is one off the best extension ever(together with your other 2), thanks a lot!!! I'm so happy you started making extension :D
Head asplode. Great extension, thanks!
Wow, what an awesome idea. So useful. Thank you!
yes, just follow the instructions i wrote in the post, it should be easy to add/remove/change the flash player versions
Is there an easy way to include the files for the Flash 9 Debugger? It would be cool to have this working with your other extension, Flash Tracer.
Currently all versions are included from 2,0,11 to 9,0,16. It's strange that FF crashes.. can you tell me what OS and if after the crash the new plugin has been installed or not?
WOW, amazing!, thank you so, SO much... the most usefull extension I've installed in a good while ^^. One little tiny thing though, maybe for next version... I think Firefox should always start with the highest version of FP available... regardless of what version you set up previously with the switcher... or maybe an option for it. Again, thank you :) Cheers...
Wow! Thanks, I've been searching for something like this for a long time :-)
First, what a great idea extension! But it crashes my Fox everytime I try to change the player ... :-( I'm using FF 2.0. Do I actually need to download the archived players or are the dll files sufficient?
I tried this extension and it's very very cool. Great Sephiroth :)


Post a comment

(If you haven't left a comment here before, you may need to be approved by the site owner before your comment will appear. Until then, it won't appear on the entry. Thanks for waiting.)


Type the characters you see in the picture above.





 

TrackBacks

TrackBack URL for this entry: http://www.sephiroth.it/cgi-bin/mt/mt-tb.cgi/139

Listed below are links to weblogs that reference Flash Switcher extension for Firefox:

» Flash Switcher extension updated from sephiroth.it - flash & php

Yesterday I updated my previous flash switcher extension due to some changes in the latest release of Firefox 2.0.3 which caused the extension to stop worki...

[Read More]